Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport
Interface EPPClientCon

All Known Implementing Classes:
  EPPPlainClientSocket, EPPPlainProxyClientSocket, EPPSSLClientSocket, EPPSSLProxyClientSocket

    public interface EPPClientCon

Interface implmented by all client connection classes. The life cycle of the connection is defined by this interface, including initializing/opening the connection, getting input/ouput stream for interacting with the connection, and closing the connection.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $

Method Summary
`void` | `close()` Closes the client connection.
`java.io.InputStream` | `getInputStream()` Gets the input stream associated with the active connection.
`java.io.OutputStream` | `getOutputStream()` Gets the output stream associated with the active connection.
`void` | `initialize()` Initializes the client connection.
`void` | `initialize(java.lang.String aHostName, int aPortNumber, EPPSSLContext aSSLContext)` Initializes the client connection with a specific host and port.
`void` | `initialize(java.lang.String aHostName, int aPortNumber, java.lang.String aClientHostName, EPPSSLContext aSSLContext)` Initializes the client connection with a specific host and port.

Method Detail

### initialize

    void initialize()
                    throws EPPConException

  Initializes the client connection. The connection will be opened and the input/output streams will be set.

  Throws:
    `EPPConException` - On error

### initialize

    void initialize(java.lang.String aHostName,
                    int aPortNumber,
                    EPPSSLContext aSSLContext)
                    throws EPPConException

  Initializes the client connection with a specific host and port. The connection will be opened and the input/output streams will be set.

  Parameters:
    `aHostName` - Host name or IP address of host to connect to
    `aPortNumber` - Port number to connect to
    `aSSLContext` - Optional specific SSL context to use
  Throws:
    `EPPConException` - On error

### initialize

    void initialize(java.lang.String aHostName,
                    int aPortNumber,
                    java.lang.String aClientHostName,
                    EPPSSLContext aSSLContext)
                    throws EPPConException

  Initializes the client connection with a specific host and port. The connection will be opened and the input/output streams will be set.

  Parameters:
    `aHostName` - Host name or IP address of host to connect to
    `aPortNumber` - Port number to connect to
    `aClientHostName` - Host name or IP address to connect from
    `aSSLContext` - Optional specific SSL context to use
  Throws:
    `EPPConException` - On error

### close

    void close()
               throws EPPConException

  Closes the client connection.

  Throws:
    `EPPConException` - On error

### getOutputStream

    java.io.OutputStream getOutputStream()
                                         throws EPPConException

  Gets the output stream associated with the active connection.

  Returns:
    output stream associated with the active connection
  Throws:
    `EPPConException` - Output stream is `null`, meaning that the connection is not active.

### getInputStream

    java.io.InputStream getInputStream()
                                       throws EPPConException

  Gets the input stream associated with the active connection.

  Returns:
    input stream associated with the active connection
  Throws:
    `EPPConException` - Input stream is `null`, meaning that the connection is not active.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.